cross
New Foswiki release 2.1.6 is available with important security fixes.
Sourceforge foswiki email lists being discontinued. Subscribe to the new Foswiki announce and discuss lists at MailingLists

Item14616: The generic tools/extension_installer no longer functions on perl 5.26+.

pencil
Priority: Urgent
Current State: Closed
Released In: 2.1.6
Target Release: patch
Applies To: Engine
Component: Configure
Branches: Release02x01 master Item14288
Reported By: GeorgeClark
Waiting For:
Last Change By: GeorgeClark
The "." has been removed from the default path, and the code "do tools/configure"  fails.  Bug is in =tools/extender.pl
do "tools/configure" failed, '.' is no longer in @INC; did you mean do "./tools/configure"? at /var/www/data/Foswiki-2.1.5/tools/extender.pl line 226.
couldn't do tools/configure: No such file or directory at /var/www/data/Foswiki-2.1.5/tools/extender.pl line 228.

We need to make the path to tools explicit.

It might be good to make this path configurable

-- GeorgeClark - 03 Feb 2018

No need to configure. I think it's safe to assume that configure and extender.pl should be in the same location.

-- GeorgeClark - 05 Feb 2018
 
Topic revision: r5 - 02 Mar 2018, GeorgeClark - This page was cached on 21 Jul 2018 - 13:17.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License    Legal Imprint    Privacy Policy